# Loki::COMRefCounted< P > Class Template Reference
[Ownership policies]

`#include <SmartPtr.h>`

List of all members.

## Detailed Description

### template<class P>
class Loki::COMRefCounted< P >

Implementation of the OwnershipPolicy used by SmartPtr Adapts COM intrusive reference counting to OwnershipPolicy-specific syntax

The documentation for this class was generated from the following file:

- SmartPtr.h